package com.ktg.iscs.domain.enums;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum JobStatusEnum {
    /**
     * 上锁人包含0-5，共锁人包含0、4、5
     */
    NOT_STARTED(0, "未开始"),
    ACQUIRE_LOCK(1, "取锁具"),
    ACQUIRE_KEY(2, "取钥匙"),
    READY_TO_LOCK(3, "待上锁"),
    READY_TO_UNLOCK(4, "已上锁"),
    UNLOCKED(5, "已解锁");

    /**
     * 状态编号
     */
    public final Integer status;

    /**
     * 描述
     */
    public final String desc;
}
